# sendtoaddress {disallowed} - Zcash

#### Parameters

`zcashaddress` - string

The Zcash address to send to.

`amount` - numeric

The amount in ZEC (transaction fee is added on top).

`comment` - string

Optional.

A comment used to store what the transaction is for. This is not part of the transaction, just kept in your wallet.

`comment-to` - string

Optional.

An optional comment to store the name of the person or organization to which you're sending the transaction. This is not part of the transaction, it is just kept in your wallet.

`subtractfeefromamount` - boolean

Optional, default=false

The fee will be deducted from the amount being sent.

The recipient will receive less Zcash than you enter in the amount field.

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "sendtoaddress",
"params": [null, null, null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/zcash-zec/zec_sendtoaddress.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
